Plasmo Voice Server 1.0.4

Proximity voice сhat mod for Spigot Minecraft servers

  1. KPidS
    Native Minecraft Version:
    1.17
    Tested Minecraft Versions:
    • 1.16
    • 1.17
    Source Code:
    https://github.com/plasmoapp/plasmo-voice
    Contributors:
    Apehum
    Languages Supported:
    Russian
    [​IMG]
    Plasmo Voice Chat

    The main feature of Plasmo Voice is server-side made with Spigot. Don't sacrifice Spigot plugins and the convenience of players who don't use mods. Besides that, it's just a great proximity voice chat with 3D audio and lots of features.

    Installing Plasmo Voice on the server is as easy as installing any other Spigot plugin. Installing mod on the client is optional and you can join the server without it.

    Players need to install the Fabric or Forge mod for Voice Chat to work, but for players without any mods installed nothing will change. They are still able to join and play as usual.

    Links

    Made for big role-playing events

    • Data is compressed with Opus Сodec. Which means low traffic usage and higher quality. Tested with 100 players talking at once.
    • Change voice chat distance on the go, so players can adjust it when in crowded places.
    • You can enable an experimental sound-occlusion feature, which will muffle the sound if blocks are in the way. Great for situations where different players are talking in rooms close to each other.
    • Priority speaking. Like in Discord, allows you to bind a separate push-to-talk button with a greater, adjustable distance. Requires permission.

    Other features
    • Select output and input devices.
    • Server muting with chat commands.
    • Client muting integrated with Minecraft social menu.
    • Choose between Push to Talk or Voice Activation.
    • Indicators for players without the mod installed.
    • Everything is configurable with config and permissions.

    HUD Icons

    [​IMG]


    Player Icons
    [​IMG]

    Configuration Menu
    [​IMG]

    Download
    Plasmo Voice Server is a Spigot plugin. Plasmo Voice Client is a Fabric OR Forge mod. There is a different file for each version, check files on CurseForge and choose the right one. Mind the difference when installing Plasmo Voice.

    Default key bindings


    Open voice settings — V
    Push-to-talk button — Left Alt
    Priority Push-to-talk button — none
    Mute your microphone — M

    Make sure to rebind the push-to-talk key to something you're used to. Also, check out voice settings by pressing V. Go into the Audio tab and make sure you have the right devices selected. Test your mic by pressing the Enable microphone testing button.


    Wiki

    Credits
    Plasmo Voice is based on Simple Voice Chat by henkelmax
    Originally made for Plasmo

Recent Reviews

  1. El_this_boy
    El_this_boy
    4/5,
    Version: 1.0.3
    The mod and the plugin work perfect for me in my minecraft world, perfect compatibility and accessibility! it's amazing and easy to use
    but in console I constantly get this for each player that is on my server, it is annoying because I cannot see my console because the message appears every 3-5 seconds per player

    [13:13:53 WARN]: java.lang.IllegalArgumentException: Invalid UUID string:
    [13:13:53 WARN]: at java.base/java.util.UUID.fromString(UUID.java:215)
    [13:13:53 WARN]: at su.plo.voice.common.packets.udp.VoiceServerPacket.read(VoiceServerPacket.java:43)
    [13:13:53 WARN]: at su.plo.voice.common.packets.udp.PacketUDP.read(PacketUDP.java:98)
    [13:13:53 WARN]: at su.plo.voice.socket.SocketServerUDP.run(SocketServerUDP.java:92)

    if you can help me remove this, thanks <3
    1. KPidS
      Author's Response
      It's an issue specific for you and we don't know what can cause it. Please open the issue on Github and provide more information on your setup, like plugins, server core, game version, Java version, logs, OS, and what hosting are you using.
  2. CardanaMH
    CardanaMH
    5/5,
    Version: 1.0.3
    awesome, but did it runs with Simple Voice Chat? i would like to use SVC compatible
    1. KPidS
      Author's Response
      Plasmo Voice is not compatible with SVC, it's a separate mod.
  3. __Vekster007__
    __Vekster007__
    5/5,
    Version: 1.0.3
    Cool plugin! Just install it and give the players a link to the mod and the whole server will be in a good mood!
  4. __Vekster007__
    __Vekster007__
    5/5,
    Version: 1.0.2
    A very cool and high-quality plugin but its a shame for the servers that position it as "exactly their mega new and difficult technologies".
    1. KPidS
      Author's Response
      You should keep in mind that it was a difficult task to create this plugin. It's new and it was difficult to create, but we were the ones who made it so that it's that easy to use for others. They are not wrong, it's just that they don't give us proper credit. Some servers don't mention the name of the plugin when making an announcement about it, or even going as far as renaming the jar, to remove our branding, and then they upload it on their sites, instead of giving a link to our Curse page or name of the mod for people to google it. There is a lot of examples of that.
  5. Tyuop
    Tyuop
    5/5,
    Version: 1.0.2
    Amazing plugin, спасибо за крутой плагин, который теперь будет не только на SPWorlds
  6. mohammed890
    mohammed890
    5/5,
    Version: 1.0.2
    this plugin is very good i love it keep working on it
    very good five stars i hate the minimum character limit
  7. Moomallowz
    Moomallowz
    5/5,
    Version: 1.0.2
    Amazing. Exactly what my server's been missing. Please, for the love of all that's holy, keep updating this plugin (and the mod)!
  8. burakbt
    burakbt
    5/5,
    Version: 1.0.0
    Perfect plugin, I've been looking for such a plugin for a long time please keep improving.